﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;

namespace howto_word_count
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void mnuFileOpen_Click(object sender, EventArgs e)
        {
            if (ofdFiles.ShowDialog() == DialogResult.OK)
            {
                lvwFiles.Items.Clear();
                lvwFiles.Columns.Clear();
                lvwFiles.Columns.Add("Full Name");
                lvwFiles.Columns.Add("Name");
                lvwFiles.Columns[0].Width = 20;
                lvwFiles.Columns[1].Width = 200;

                foreach (string filename in ofdFiles.FileNames)
                {
                    FileInfo file_info = new FileInfo(filename);
                    ListViewItem item =
                        lvwFiles.Items.Add(file_info.FullName);
                    item.SubItems.Add(file_info.Name);
                }
            }
        }

        private void btnSearch_Click(object sender, EventArgs e)
        {
            string word = txtWord.Text.Trim();
            lvwFiles.Columns.Add(word);

            foreach (ListViewItem item in lvwFiles.Items)
            {
                try
                {
                    string filename = item.SubItems[0].Text;
                    string text = File.ReadAllText(filename);
                    int pos = 0;
                    int count = 0;
                    for (; ; )
                    {
                        pos = text.IndexOf(word, pos,
                            StringComparison.OrdinalIgnoreCase);
                        if (pos < 0) break;
                        count++;
                        pos++;
                    }

                    item.SubItems.Add(count.ToString());
                }
                catch (Exception ex)
                {
                    item.SubItems.Add(ex.Message);
                }
            }
        }
    }
}
